commit:     199230978f35669d8388b4c78ff31994718864f8
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 25 15:23:28 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Feb 25 15:24:04 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19923097

sci-biology/rnaview: Modernise to EAPI 6

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 .../rnaview/files/rnaview-20040713-implicit.patch  |  4 +--
 sci-biology/rnaview/rnaview-20040713-r4.ebuild     | 35 ++++++++++++++++++++++
 2 files changed, 37 insertions(+), 2 deletions(-)

diff --git a/sci-biology/rnaview/files/rnaview-20040713-implicit.patch 
b/sci-biology/rnaview/files/rnaview-20040713-implicit.patch
index 009f6e79ae..90ea72ab6f 100644
--- a/sci-biology/rnaview/files/rnaview-20040713-implicit.patch
+++ b/sci-biology/rnaview/files/rnaview-20040713-implicit.patch
@@ -1,7 +1,7 @@
 Fix implicit function declaration
 
---- src/xml2ps.c
-+++ src/xml2ps.c
+--- a/src/xml2ps.c
++++ b/src/xml2ps.c
 @@ -36,7 +36,7 @@
  void read_sugar_syn(char *inpfile, long **sugar_syn);
  void get_sugar_syn(FILE *inp, char *value_ch);

diff --git a/sci-biology/rnaview/rnaview-20040713-r4.ebuild 
b/sci-biology/rnaview/rnaview-20040713-r4.ebuild
new file mode 100644
index 0000000000..f12c6ce5ef
--- /dev/null
+++ b/sci-biology/rnaview/rnaview-20040713-r4.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="Generates 2D displays of RNA/DNA secondary structures with 
tertiary interactions"
+HOMEPAGE="http://ndbserver.rutgers.edu/services/download/index.html";
+SRC_URI="mirror://gentoo/${P}.tar.bz2"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+PATCHES=(
+       "${FILESDIR}"/${P}-makefile.patch
+       "${FILESDIR}"/${P}-implicit.patch
+)
+
+src_prepare() {
+       default
+       tc-export CC
+}
+
+src_install() {
+       default
+
+       cat > 22rnaview <<- EOF || die
+               RNAVIEW="${EPREFIX}/usr/share/${PN}"
+       EOF
+       doenvd 22rnaview
+}

Reply via email to